Home > Php Cannot > Php Cannot Find Libpq-fe.h

Php Cannot Find Libpq-fe.h

Thanks much Reply Arun Lal says: July 30, 2014 at 12:35 pm Thanks for your feedback. Dezember 2013 1 Apache Fehlermeldung: apache2: Could not reliably determine the server's fully qualified domain name 14. This worked perfectly, but only after i have installed XCODE command line tools though terminal command xcode-select --install. Please specify correct PostgreSQL installation path Solution: yum install postgresql-devel ERROR XII : checking for sqlite 3 support for PDO… yes, shared checking for PDO includes… (cached) /usr/local/src/php-5.3.7/ext checking for sqlite3 Check This Out

Why is looping over find's output bad practice? Php compilation on server means the building and installation of PHP from its source. Please specify correct PostgreSQL installation path To point out the right installation path I just had to do this: ./configure --with-pdo-pgsql=/Applications/Postgres.app/Contents/MacOS/bin before doing the rest: make sudo make install and finally Success!

php.net| support| documentation| report a bug| advanced search| search howto| statistics| random bug| login go to bug id or search bugs for Bug#64345 Please specify correct PostgreSQL installation path Submitted: 2013-03-04 As it's currently written, it’s hard to tell exactly what you're asking. Please reinstall it.

Thanks to this link on how to add an additional path for gem installation, I could point the gem to the lib with this command: export CONFIGURE_ARGS="with-pg-include=/Library/PostgreSQL/9.1/include/" gem install pg After Wrong way on a bike lane? Try our newsletter Sign up for our newsletter and get our top new questions delivered to your inbox (see an example). Then, use mod_proxy in httpd.conf for the apache running on port 80 to provide seamless user experience to applications hosted on PostgreSQL.

This will helpful for compiling PHP on your server. share|improve this answer answered Aug 29 '13 at 21:16 Vincent Fourmond 860412 "libpq-dev: /usr/include/postgresql/libpq-fe.h" is present whereas "postgres-xc-server-dev: /usr/include/postgres-xc/server/gtm/libpq-fe.h" is not present ? Just to add a note regarding bundle config... https://github.com/docker-library/php/issues/221 no checking if zts is enabled...

Reload to refresh your session. Christoph sagt: Auxmoney bietet Affiliates wirklich gute Provisionen, insbesondere wenn man bedenkt, dass... Well it is to me and 100 other people who have posted this question onilne with no good response. >Cannot find libpq-fe.h< Well, I know exaclty where that library is. It really helped me in fixing compilation errors..

x86_64-unknown-linux-gnu checking for PHP prefix... /usr/local checking for PHP includes... -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib checking for PHP extension directory... /usr/local/lib/php/extensions/no-debug-non-zts-20100525 checking for PHP installed headers prefix... /usr/local/include/php checking if https://www.postgresql.org/message-id/[email protected] Find out where PostgreSQL is installed, and delete it, Then brew install postgresql again, brew link postgresql gem install pg share|improve this answer edited Oct 21 at 17:28 Peter Mortensen 10.3k1370108 You may also have the file somewhere else depending on your system if you already have PostgreSQL installed. Please specify correct PostgreSQL installation path ERROR: `/root/tmp/pear/PDO_PGSQL/configure' failed postgresql pecl pdo share|improve this question asked Dec 28 '13 at 22:38 Chad 11 closed as unclear what you're asking by Chris

It came from the different versions of the packages that were installed through the different users on the machine. http://amigasuperbit.com/php-cannot/php-cannot-find-output-from-lex.html I don't even want to install it and then remove it ... Update for OS X Mountain Lion Apple has removed autoconf from the newer versions of XCode so the procedure above will fail at #5. Congrats!

no configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers. If it exists, it will be in the include directory of your PostgreSQL install. $ locate libpq-fe.h /Library/PostgreSQL/9.1/include/libpq-fe.h The bin directory, which contains pg_config, will be in the same directory as You signed in with another tab or window. this contact form Type brew install autoconf.

lib checking if compiler supports -R... Should I allow my child to make an alternate meal if they do not like anything served at mealtime? On Saturday, March 15 2014, 17:34 by Graymalkin If your are using the Postgres from here: http://postgresapp.com, this command will work: ./configure --with-pdo-pgsql=/Applications/Postgres.app/Contents/Versions/9.3/bin/ 4.

To keep existing apache hosted applications (i.e.

This looks like there was a private copy of libpq-fe.h in the postgres-... Thanks for your help! –Jordan Scales Jul 5 '11 at 20:23 3 @Jordan Scales - It's looking for the files in "/usr", "/usr/local", and "/usr/local/pgsql". Hot Network Questions Start a coup online without the government intervening How often should I replace windscreen wiper blades? And also, I added pgsql.so, not pcntl.so.

Please check your autoconf installation and the $PHP_AUTOCONF environment variable. See Stack Overflow question Can't find the PostgreSQL client library (libpq). Reply Arun Lal says: May 16, 2014 at 10:03 am Thanks Roger. 🙂 Reply Eugene van der Merwe says: June 1, 2014 at 10:40 am You skipped instructions after: configure: error: navigate here x86_64-unknown-linux-gnu checking host system type...

And I'm get stuck in this step not sure what could be wrong but I can't install pdo_pgsql btw my infrastructure it's have one container per thing, so I have a trying anyway. Install postgresql-dev: $ sudo apt-get install postgresql-server-dev-9.5 or $ sudo yum install postgresql-devel –Mugoma J. fix my issue! :) It's kind of related with this https://bugs.alpinelinux.org/issues/3642 and this https://bugs.alpinelinux.org/issues/4109 And what I did to fix it was install first postgresql-dev like so: FROM php:fpm-alpine RUN set

Reply Leave a Reply Cancel reply Your email address will not be published. This should be done in httpd.conf by modifying your default LoadModule php5_module path to LoadModule php5_module /usr/local/opt/php56/libexec/apache2/libphp5.so. big trouble over here!!! up vote 21 down vote If you use home brew, you can solve this with a command as simple as: brew install php55-pdo-pgsql for other php version, search with: brew search

So when doing this cd ext/pdo_pgsql phpize ./configure I ended up with this error: checking for pg_config... yes checking whether cc accepts -g...